Bug 138736 - Can't print to linksys printserver with 2.6.9-1.667 kernel
Can't print to linksys printserver with 2.6.9-1.667 kernel
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 17:10 EST by Manuel Morales
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:19:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ethereal Capture Text File (2.66 KB, text/plain)
2004-11-10 17:11 EST, Manuel Morales
no flags Details

  None (edit)
Description Manuel Morales 2004-11-10 17:10:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
With kernel 2.6.9-1.667, I can't print to my Linksys printserver with
iptables enabled, although I CAN print successfully if I disable
iptables. The printserver (PPSX1) is set up using the "Networked UNIX
(LPD)" option. This same setup works fine with iptables enabled for
earlier kernels (e.g., 2.6.8.1), but not with the fedora or vanilla
2.6.9 kernel. I've attached a file with a few relevant lines using
ethereal capture.



Version-Release number of selected component (if applicable):
kernel-2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1. Boot up with 2.6.9-1.667 kernel.
2. Try to print over network to Linksys printserver.

    

Actual Results:  Doesn't print.

Expected Results:  Should print as it does with earlier kernel versions.

Additional info:
Comment 1 Manuel Morales 2004-11-10 17:11:28 EST
Created attachment 106452 [details]
Ethereal Capture Text File
Comment 2 Manuel Morales 2004-11-10 17:14:40 EST
Comment on attachment 106452 [details]
Ethereal Capture Text File

No.	Time	    Source		  Destination		Protocol Info
      1 0.000000    DellPcba_e7:8d:da	  Broadcast		ARP	 Who
has 192.168.50.50?  Tell 192.168.50.102

Frame 1 (42 bytes on wire, 42 bytes captured)
Ethernet II, Src: 00:0d:56:e7:8d:da, Dst: ff:ff:ff:ff:ff:ff
Address Resolution Protocol (request)

No.	Time	    Source		  Destination		Protocol Info
      2 0.000823    Sercomm_cf:34:93	  DellPcba_e7:8d:da	ARP	
192.168.50.50 is at 00:c0:02:cf:34:93

Frame 2 (60 bytes on wire, 60 bytes captured)
Ethernet II, Src: 00:c0:02:cf:34:93, Dst: 00:0d:56:e7:8d:da
Address Resolution Protocol (reply)

No.	Time	    Source		  Destination		Protocol Info
      3 0.000837    192.168.50.102	  192.168.50.50 	TCP	 1023 >
printer [SYN] Seq=0 Ack=0 Win=5840 Len=0 MSS=1460 TSV=7569 TSER=0 WS=2

Frame 3 (74 bytes on wire, 74 bytes captured)
Ethernet II, Src: 00:0d:56:e7:8d:da, Dst: 00:c0:02:cf:34:93
Internet Protocol, Src Addr: 192.168.50.102 (192.168.50.102), Dst Addr:
192.168.50.50 (192.168.50.50)
Transmission Control Protocol, Src Port: 1023 (1023), Dst Port: printer (515),
Seq: 0, Ack: 0, Len: 0

No.	Time	    Source		  Destination		Protocol Info
      4 0.004580    192.168.50.50	  192.168.50.102	TCP	
printer > 1023 [SYN, PSH, ACK] Seq=0 Ack=1 Win=1024 Len=0 MSS=1024

Frame 4 (60 bytes on wire, 60 bytes captured)
Ethernet II, Src: 00:c0:02:cf:34:93, Dst: 00:0d:56:e7:8d:da
Internet Protocol, Src Addr: 192.168.50.50 (192.168.50.50), Dst Addr:
192.168.50.102 (192.168.50.102)
Transmission Control Protocol, Src Port: printer (515), Dst Port: 1023 (1023),
Seq: 0, Ack: 1, Len: 0

No.	Time	    Source		  Destination		Protocol Info
      5 0.004621    192.168.50.102	  192.168.50.50 	ICMP	
Destination unreachable

Frame 5 (86 bytes on wire, 86 bytes captured)
Ethernet II, Src: 00:0d:56:e7:8d:da, Dst: 00:c0:02:cf:34:93
Internet Protocol, Src Addr: 192.168.50.102 (192.168.50.102), Dst Addr:
192.168.50.50 (192.168.50.50)
Internet Control Message Protocol

No.	Time	    Source		  Destination		Protocol Info
      6 1.095006    192.168.50.50	  192.168.50.102	TCP	
printer > 1023 [SYN, PSH, ACK] Seq=0 Ack=1 Win=1024 Len=0 MSS=1024

Frame 6 (60 bytes on wire, 60 bytes captured)
Ethernet II, Src: 00:c0:02:cf:34:93, Dst: 00:0d:56:e7:8d:da
Internet Protocol, Src Addr: 192.168.50.50 (192.168.50.50), Dst Addr:
192.168.50.102 (192.168.50.102)
Transmission Control Protocol, Src Port: printer (515), Dst Port: 1023 (1023),
Seq: 0, Ack: 1, Len: 0

No.	Time	    Source		  Destination		Protocol Info
      7 1.095038    192.168.50.102	  192.168.50.50 	ICMP	
Destination unreachable

Frame 7 (86 bytes on wire, 86 bytes captured)
Ethernet II, Src: 00:0d:56:e7:8d:da, Dst: 00:c0:02:cf:34:93
Internet Protocol, Src Addr: 192.168.50.102 (192.168.50.102), Dst Addr:
192.168.50.50 (192.168.50.50)
Internet Control Message Protocol

No.	Time	    Source		  Destination		Protocol Info
      8 2.998497    192.168.50.102	  192.168.50.50 	TCP	 1023 >
printer [SYN] Seq=0 Ack=0 Win=23360 Len=0 MSS=1460 TSV=10569 TSER=0 WS=2

Frame 8 (74 bytes on wire, 74 bytes captured)
Ethernet II, Src: 00:0d:56:e7:8d:da, Dst: 00:c0:02:cf:34:93
Internet Protocol, Src Addr: 192.168.50.102 (192.168.50.102), Dst Addr:
192.168.50.50 (192.168.50.50)
Transmission Control Protocol, Src Port: 1023 (1023), Dst Port: printer (515),
Seq: 0, Ack: 0, Len: 0

No.	Time	    Source		  Destination		Protocol Info
      9 3.001477    192.168.50.50	  192.168.50.102	TCP	
printer > 1023 [ACK] Seq=597532 Ack=1 Win=1024 Len=0

Frame 9 (60 bytes on wire, 60 bytes captured)
Ethernet II, Src: 00:c0:02:cf:34:93, Dst: 00:0d:56:e7:8d:da
Internet Protocol, Src Addr: 192.168.50.50 (192.168.50.50), Dst Addr:
192.168.50.102 (192.168.50.102)
Transmission Control Protocol, Src Port: printer (515), Dst Port: 1023 (1023),
Seq: 597532, Ack: 1, Len: 0

No.	Time	    Source		  Destination		Protocol Info
     10 3.001497    192.168.50.102	  192.168.50.50 	ICMP	
Destination unreachable

Frame 10 (82 bytes on wire, 82 bytes captured)
Ethernet II, Src: 00:0d:56:e7:8d:da, Dst: 00:c0:02:cf:34:93
Internet Protocol, Src Addr: 192.168.50.102 (192.168.50.102), Dst Addr:
192.168.50.50 (192.168.50.50)
Internet Control Message Protocol
Comment 3 Warren Togami 2004-11-10 20:37:33 EST
Is that anything like the Linksys PSUS4?  Bug #135502 found that the
PSUS4 is really bad.

In any case if this truly is a regression in upstream 2.6.9, please
bring this issue to the upstream netfilter.org project.  They are best
able to figure this out.
Comment 4 Dave Jones 2005-07-15 15:13:28 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 21:19:32 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.